Add settings to a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/settings/batch

Add task types with their priority, task statuses and asset types to a project in one request. The unknown identifiers are skipped. If replace_task_types is true, the task types of the project are replaced, and the removed task types leave the workflows of the project. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • task_types array[object]
    Hide task_types attributes Show task_types attributes object
    • task_type_id string(uuid)
    • priority integer
    • is_client_visible boolean

      Whether clients see this task type, left untouched when omitted

  • task_status_ids array[string(uuid)]
  • asset_type_ids array[string(uuid)]
  • replace_task_types boolean

    Default value is false.

Responses

  • 200

    The updated project

  • 400

    The body is not valid

  • 403

    You are not a manager of the project

POST /data/projects/{project_id}/settings/batch
curl \
 --request POST '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/settings/batch' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "task_types": [
    {
      "task_type_id": "string",
      "priority": 42,
      "is_client_visible": true
    }
  ],
  "task_status_ids": [
    "string"
  ],
  "asset_type_ids": [
    "string"
  ],
  "replace_task_types": false
}'
Request examples
{
  "task_types": [
    {
      "task_type_id": "string",
      "priority": 42,
      "is_client_visible": true
    }
  ],
  "task_status_ids": [
    "string"
  ],
  "asset_type_ids": [
    "string"
  ],
  "replace_task_types": false
}